import * as React from 'react';
import {
  Table, Header, Container, Form, Checkbox, Button, Rating,
  List, Icon,
} from 'semantic-ui-react';
import {SensorConfigTarget} from './sensor_config_target';
import {SensorConfigCrawler} from './sensor_config_crawler';
import {SensorConfigAuthCrawler} from './sensor_config_auth_crawler';

export interface StateProps {
}

export interface DispatchProps {
}

export type Props = StateProps & DispatchProps;

export interface State {
}

export class SensorConfig extends React.Component<Props, State> {

  constructor(props: Props, context: State) {
    super(props, context);

    this.state = {
      selected: null,
    };
  }


  public render(): JSX.Element {
    return (
      <Container>
        Target Select
        <SensorConfigTarget />
        Crawler Select
        <SensorConfigCrawler />
        Auth Crawler
        <SensorConfigAuthCrawler />
        {/* <SensorConfigItem /> */}
        {/* <SensorConfigSetting /> */}
      </Container>
    );
  }

}
